Bug 443881 - Firefox/Thunderbird starts up with window no larger than smallest monitor
Firefox/Thunderbird starts up with window no larger than smallest monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Reopened, Triaged
: 443880 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 16:15 EDT by Adam Goode
Modified: 2010-12-05 02:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:11:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-04-23 16:15:35 EDT
Description of problem:
When starting thunderbird or opening a new window, the window that appears is
constrained to the smallest monitor I have in my multi-monitor setup. I need to
manually resize the window every time. Popup menus and tooltips are also
constrained to a small rectangle.


Version-Release number of selected component (if applicable):
thunderbird-2.0.0.12-6.fc9.x86_64

How reproducible:
Always.


Steps to Reproduce:
1. Resize window
2. Restart thunderbird
  
Actual results:
Small window.


Expected results:
Large window.

Additional info:
Happens with firefox as well.
Comment 1 Matěj Cepl 2008-04-23 23:41:58 EDT
Does it happen also when you run thunderbird on the command line with -safe-mode
parameter? If no, then it is some of your plugins.

Does it happen also when you rename ~/.thunderbird directory to something else?
If no, then some garbage happened in your profile.
Comment 2 Adam Goode 2008-04-24 10:44:54 EDT
Yes, it happens in all cases. The problem is one of my displays is 1024x768 and
the other is 1600x1200. Thunderbird is constraining its windows to the size of
the smaller monitor frame. (Even though it appears on the larger monitor.)

Screen 0: minimum 320 x 200, current 2624 x 1200, maximum 2624 x 2624
VGA connected 1024x768+0+432 (normal left inverted right x axis y axis) 304mm x
228mm
TMDS-1 connected 1600x1200+1024+0 (normal left inverted right x axis y axis)
367mm x 275mm
Comment 3 Christopher Aillon 2008-04-24 10:51:19 EDT
*** Bug 443880 has been marked as a duplicate of this bug. ***
Comment 4 Christopher Aillon 2008-04-24 10:52:06 EDT

*** This bug has been marked as a duplicate of 443880 ***

*** This bug has been marked as a duplicate of 443880 ***
Comment 5 Adam Goode 2008-04-24 10:53:48 EDT
The same thing happens every time in firefox safe mode, as well as moving
.mozilla away.
Comment 6 Adam Goode 2008-04-24 10:56:26 EDT
Before firefox 3 (and still in thunderbird), right-click pop-up menus appear in
the wrong place if opened too far to the right on the screen. If the menus would
not fit on 1024x768, they are turned into scrolling menus. Tooltips do the same
strange thing. On firefox 3, menus and tooltips work correctly. In all cases,
new windows are still too small.
Comment 7 Bug Zapper 2008-05-14 06:02:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 20:23:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-16 03:05:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-11-04 07:56:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:11:29 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.